%define builddir oberon-governor
Name:       oberon-governor
Version:    0
Release:    1
Summary:    A GPU governor for the AMD BC-250
License:    GPLv3
URL:    https://gitlab.com/mothenjoyer69/oberon-governor.git
BuildRequires:	cmake
BuildRequires:  make
BuildRequires:	g++
BuildRequires:  gcc
BuildRequires:	libdrm-devel
BuildRequires:  git

Source0:	https://gitlab.com/mothenjoyer69/oberon-governor/-/archive/main/%{name}-main.tar.gz

%description
Specfile for oberon-governor.

%prep
%setup -q -c
cp -r %{name}-main/* .

%build
cmake .
make

%install
mkdir -p %{buildroot}/usr/bin/
mkdir -p %{buildroot}/usr/lib/systemd/system/
mkdir -p %{buildroot}/etc/
install -m 755 oberon-governor %{buildroot}/usr/bin/
install -m 755 oberon-governor.service	%{buildroot}/usr/lib/systemd/system/
install -m 755 oberon-config.yaml %{buildroot}/etc/

%files
%license LICENSE
%{_bindir}/%{name}
/usr/lib/systemd/system/oberon-governor.service
/etc/oberon-config.yaml

%changelog
